Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.benchmarks.client
Class Benchmark.BenchmarkStrategy

    java.lang.Object
      com.google.gwt.junit.client.GWTTestCase.BaseStrategy
          com.google.gwt.junit.PropertyDefiningStrategy
              com.google.gwt.benchmarks.client.Benchmark.BenchmarkStrategy

All Implemented Interfaces:
  com.google.gwt.junit.JUnitShell.Strategy

Enclosing class:
  Benchmark

    public static class Benchmark.BenchmarkStrategy

extends com.google.gwt.junit.PropertyDefiningStrategy

The `JUnitShell.Strategy` used for benchmarking.

Constructor Summary
`Benchmark.BenchmarkStrategy(junit.framework.TestCase test)`

Method Summary
`protected java.lang.String` | `getBaseModuleExtension()`
`java.lang.String` | `getModuleInherit()`
`void` | `processResult(junit.framework.TestCase testCase, com.google.gwt.junit.client.impl.JUnitResult result)`

Methods inherited from class com.google.gwt.junit.PropertyDefiningStrategy
`getSyntheticModuleExtension, processModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Benchmark.BenchmarkStrategy

    public Benchmark.BenchmarkStrategy(junit.framework.TestCase test)

Method Detail

### getModuleInherit

    public java.lang.String getModuleInherit()

  Specified by:
    `getModuleInherit` in interface `com.google.gwt.junit.JUnitShell.Strategy`
  Overrides:
    `getModuleInherit` in class `GWTTestCase.BaseStrategy`

### processResult

    public void processResult(junit.framework.TestCase testCase,
                              com.google.gwt.junit.client.impl.JUnitResult result)

  Specified by:
    `processResult` in interface `com.google.gwt.junit.JUnitShell.Strategy`
  Overrides:
    `processResult` in class `GWTTestCase.BaseStrategy`

### getBaseModuleExtension

    protected java.lang.String getBaseModuleExtension()

  Overrides:
    `getBaseModuleExtension` in class `com.google.gwt.junit.PropertyDefiningStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD